function	change_table(table_arr)
{
	for(i in table_arr){
		if(!$("#"+table_arr[i][0])){
			continue;
		}
		$("#"+table_arr[i]).click(function(){
			for(j in table_arr){
				if(!$("#"+table_arr[j]+'le')[0]){
						continue;
				}	
				$("#"+table_arr[j]+'le').hide();
				$("#"+table_arr[j])[0].className	=	'tab-back';
			}
			$("#"+this.id+"le").show();	
			this.className='tab-front';	
			if($("#JT")){
				$("#JT").remove();
			}
		});	
	}	
}

function add_cat_ajax()
{
	var cat_name	=	jQuery.trim($("#ajax_cat_name_id").val());
	if(!cat_name){
		alert(_ADMIN_LANG['please_input_name_of_the_category']);
		return false;
	}
	var parent_id	=	jQuery.trim($("#ajax_cat_parent_id").val());
	var sort_order	=	jQuery.trim($("#ajax_sort_order_id").val());
	$("input[type=radio][name=ajax_is_open]").each(function(){
			 if(this.checked){
				 is_open = this.value;
				 return false;
			 }
	}); 
	var cat_seo_keywords	=	jQuery.trim($("#ajax_cat_seo_keywords_id").val());
	var cat_seo_desc	=	jQuery.trim($("#ajax_cat_seo_desc_id").val());

	$("#button-div_id").html("<img src='images/update_wait.gif'>");	
	if($("#software_name_id")[0]||$("#padlink_box")[0]){
		c_type	=	'software';
	}else{
		c_type	=	'article';
	}

	$.ajax({
			url		:	'index.php?act=category.save_addcategory&cat_type='+c_type+'&is_ajax=1',
			type		:	'POST',
			data		:	'cat_name='+encodeURIComponent(cat_name)+'&parent_id='+parent_id+'&seo_keywords='+encodeURIComponent(cat_seo_keywords)+'&seo_desc='+encodeURIComponent(cat_seo_desc)+'&sort_order='+encodeURIComponent(sort_order)+'&is_open='+is_open,
			dataType	:	'json',
			success	:	function(json){
				alert(json['message']);		
				if(json['type']=='success'){
					cat_id	=	json['message_info'];
					if(parent_id!=0){
						$("#cat_id option").each(function(){
								if($(this).val()==parent_id){
									$('<option value="'+cat_id+'" selected=true >&nbsp;&nbsp;&nbsp;&nbsp;'+cat_name+'</option>').insertAfter(this);
								}		
								if($(this).val()!=cat_id){
									this.selected	=	false;
								}
						});
					}else{
							$('<option value="'+cat_id+'" selected=true >'+cat_name+'</option>').appendTo("#cat_id");
							$('<option value="'+cat_id+'"  >'+cat_name+'</option>').appendTo("#ajax_cat_parent_id");
					}

					remove_cat_box();
					$("#ajax_cat_box_form")[0].reset();
					$("#button-div_id").html("<input type='button' value=' "+_ADMIN_LANG['add']+" '  onclick='add_cat_ajax()' />");
				}
			}
	});
}

function alert_cat_box()
{
	$("#add_cat_background").css({height:$(document).height()});
	$("#add_cat_background").show();
	var left		=		 $(document).width()/2-($("#add_cat_box").width())/2;
	$("#add_cat_box").css({left:left+"px"});
	$("#add_cat_box").show();
}
function remove_cat_box()
{
	$("#add_cat_background").hide();
	$("#add_cat_box").hide();
}


function edit_lib_file_content()
{
	var lib_file_obj	=	$("#lib_file_id");
	var lib_file_content_obj	=	$("#lib_file_content_id");
	$.ajax({
		url			:		"index.php?act=template_set.lib_file_content&lib_file="+encodeURIComponent(lib_file_obj.val())+"&is_ajax=1",
		dataType		:		"json",
		type			:		"GET",	
		success		:		function(json){
			var content	=	json['lib_file_content'];
			lib_file_content_obj.children("textarea").val(content);
			if(!content){
				alert('该库文件不存在或者已失效');
				return false;
			}
			var can_edit	=	json['can_edit'];
			if(!can_edit){
				$("#save_id").hide();
				var lib_file_dir	=	json['lib_file_dir'];
					lib_file_content_obj.children("textarea")[0].readOnly	=	true;
				alert('该库文件没有修改权限 请将服务器 '+lib_file_dir+' 文件权限设置为 777 ');
				return false;
			}else{
				$("#save_id").show();
			}
		}
	})
	lib_file_content_obj.slideDown('fast');

}

function save_edit_lib_file()
{
	if(!window.confirm('修改公用库文件可能造成其他区块显示发生变化,确定修改')){
		return false;
	}
	var  lib_file_content		=		$("#lib_file_content_id").children("textarea").val();
	if(!lib_file_content){
		alert('库文件内容不能为空');
		$("#lib_file_content_id").children("textarea")[0].focus();
		return false;
	}
	var lib_file_obj	=	$("#lib_file_id");
	$.ajax({
		url			:		"index.php?act=template_set.save_lib_file_content&lib_file="+encodeURIComponent(lib_file_obj.val())+"&is_ajax=1",
		dataType		:		"json",
		type			:		"POST",	
		data			:		"lib_file_content="+lib_file_content,
		success		:		function(json){	
			if(json=='ok'){
				alert('修改成功');
			 	$("#lib_file_content_id").slideUp('fast');
			}else{
				alert('修改失败');
			}
		
		}
	});
}
function save_add_lib_file(block_type)
{
	var add_lib_file_content_obj		=	$("#add_lib_file_content_id")
	var lib_file_name_obj				=	add_lib_file_content_obj.children("input");
	if(!lib_file_name_obj.val()){
		alert('请输入库文件名称');
		lib_file_name_obj[0].focus();
		return false;
	}
	var add_lib_file_content			=	add_lib_file_content_obj.children("textarea").val();
	if(!add_lib_file_content){
		alert('库文件内容不能为空');
		add_lib_file_content_obj.children("textarea")[0].focus();
		return false;
	}
	$.ajax({
		url			:		"index.php?act=template_set.save_add_lib_file_content&block_type="+block_type+"&is_ajax=1",
		dataType		:		"json",
		type			:		"POST",	
		data			:		"add_lib_file_content="+add_lib_file_content+"&lib_file_name="+lib_file_name_obj.val(),
		success		:		function(json){
			if(json['result']=='no'&&!json['can_edit']){
				alert('目录 '+json['lib_dir']+' 没有写权限,请将权限设为777');
			}else if(json['result']=='no'&&json['exist']){
				alert(' 库文件 '+lib_file_name_obj.val()+' 已存在');
				
			}else if(json['result']=='yes'){
				alert('添加库文件 '+lib_file_name_obj.val()+' 成功');
				$("#add_lib_file_content_id").slideUp('fast');
				$('<option value="'+json['lib_file']+'" selected=true >'+lib_file_name_obj.val()+'</option>').appendTo("#lib_file_id");
			}
		
		}
	});
}

function del_block_icon(block_id,obj)
{
	if(!window.confirm('确定删除?')){
		return false;		
	}
	$("#block_icon_id").remove();
	$.ajax({
		url			:		"index.php?act=template_set.del_block_icon&block_id="+block_id+"&is_ajax=1",
		dataType		:		"json",
		type			:		"GET",	
		success		:	function(json){
					if(json=='ok'){
						alert('删除成功');
						$(obj).remove();
					}	
		}
	});
}
